> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve or reject a pending conflict



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /context-documents/conflicts/{conflict_id}/decide
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /context-documents/conflicts/{conflict_id}/decide:
    post:
      tags:
        - Context Documents
      summary: Approve or reject a pending conflict
      operationId: decide_conflict_context_documents_conflicts__conflict_id__decide_post
      parameters:
        - name: conflict_id
          in: path
          required: true
          schema:
            type: integer
            title: Conflict Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConflictDecision'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    ConflictDecision:
      properties:
        action:
          type: string
          title: Action
          description: '''approve'' or ''reject'''
        rationale:
          anyOf:
            - type: string
            - type: 'null'
          title: Rationale
      type: object
      required:
        - action
      title: ConflictDecision
    ConflictResponse:
      properties:
        id:
          type: integer
          title: Id
        tree_id:
          type: integer
          title: Tree Id
        canonical_path:
          type: string
          title: Canonical Path
        derived_path:
          type: string
          title: Derived Path
        summary:
          type: string
          title: Summary
        canonical_excerpt:
          type: string
          title: Canonical Excerpt
        derived_excerpt:
          type: string
          title: Derived Excerpt
        canonical_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Canonical Content
        derived_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Derived Content
        sources:
          items:
            $ref: '#/components/schemas/ConflictSource'
          type: array
          title: Sources
        status:
          type: string
          title: Status
        rationale:
          anyOf:
            - type: string
            - type: 'null'
          title: Rationale
        decided_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Decided By
        decided_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Decided At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - tree_id
        - canonical_path
        - derived_path
        - summary
        - canonical_excerpt
        - derived_excerpt
        - sources
        - status
        - rationale
        - decided_by
        - decided_at
        - created_at
        - updated_at
      title: ConflictResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConflictSource:
      properties:
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        chunk_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chunk Id
        excerpt:
          type: string
          title: Excerpt
          default: ''
      type: object
      required:
        - type
        - title
      title: ConflictSource
      description: A single citation backing a conflict.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````